
From: William Lee Irwin III <wli@holomorphy.com>

 * Fake inquiry for Sony Clie PEG-TJ25 in drivers/usb/storage/unusual_devs.h
This fixes Debian BTS #243650.
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=243650

	From: Mike Alborn <malborn@deandra.homeip.net>
	To: Debian Bug Tracking System <submit@bugs.debian.org>
	Subject: kernel-image-2.6.5-1-686: usb-storage fails to enumerate Sony Clie PEG-TJ25
	Message-Id: <E1BDet8-0000ND-00@dominique>

When I connect my Sony Clie PEG-TJ25 to my computer and run the MS
Import function, the usb-storage module reports the following error:

scsi0 : SCSI emulation for USB Mass Storage devices 
scsi scan: 56 byte inquiry failed with code 134217730. Consider
BLIST_INQUIRY_36 for this device.

lsusb shows the Clie device, but when I try to mount /dev/sda1, I get
'/dev/sda1 is not a valid block device' and cfdisk is 'unable to open
/dev/sda' I have no other SCSI hard disks installed on the system, so I
assume /dev/sda1 is where I should find my Clie.

Note that this function worked with a Debian package of a 2.4 kernel (I
believe it was 2.4.24).

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/usb/storage/unusual_devs.h |    7 +++++++
 1 files changed, 7 insertions(+)

diff -puN drivers/usb/storage/unusual_devs.h~fake-inquiry-for-sony-clie-peg-tj25-in-unusual_devsh drivers/usb/storage/unusual_devs.h
--- 25/drivers/usb/storage/unusual_devs.h~fake-inquiry-for-sony-clie-peg-tj25-in-unusual_devsh	2004-06-13 21:27:08.789758048 -0700
+++ 25-akpm/drivers/usb/storage/unusual_devs.h	2004-06-13 21:27:08.793757440 -0700
@@ -342,6 +342,13 @@ UNUSUAL_DEV(  0x054c, 0x016a, 0x0000, 0x
 		"PEG Mass Storage",
 		US_SC_DEVICE, US_PR_DEVICE, NULL,
 		US_FL_FIX_INQUIRY ),
+
+/* Submitted by Mike Alborn <malborn@deandra.homeip.net> */
+UNUSUAL_DEV(  0x054c, 0x016a, 0x0000, 0x9999,
+		"Sony",
+		"PEG Mass Storage",
+		US_SC_DEVICE, US_PR_DEVICE, NULL,
+		US_FL_FIX_INQUIRY ),
 		
 UNUSUAL_DEV(  0x057b, 0x0000, 0x0000, 0x0299, 
 		"Y-E Data",
_
